Provider Notes
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/video-synthesis'
--header 'X-DashScope-Async: enable'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data '{
"model": "emo-v1",
"input": {
"image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250911/yhdvfg/emo-%E5%9B%BE%E7%89%87.png",
"audio_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250825/aejgyj/input_audio.mp3",
"face_bbox":[302,286,610,593],
"ext_bbox":[71,9,840,778]
},
"parameters": {
"style_level": "normal"
}
}'Success response
{
"output": {
"task_id": "a8532587-fa8c-4ef8-82be-xxxxxx",
"task_status": "PENDING"
},
"request_id": "7574ee8f-38a3-4b1e-9280-11c33ab46e51"
}Use the returned request_id to query task progress through a GET request.
curl -X GET
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
{{BASE_URL}}/qwen/api/v1/tasks/{task_id}Success response
{
"request_id": "8190395f-ca1b-4703-9656-xxxxxx",
"output": {
"task_id": "a8532587-fa8c-4ef8-82be-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-09-11 14:33:38.716",
"scheduled_time": "2025-09-11 14:33:53.089",
"end_time": "2025-09-11 14:35:51.541",
"results": {
"video_url": "http://dashscope-result-sh.oss-cn-shanghai.aliyuncs.com/xxx.mp4?Expires=xxxx"
}
},
"usage": {
"video_duration": 13.93,
"video_ratio": "1:1"
}
}This section contains endpoint-specific behavior, parameters, or usage notes for this API.
curl --location '{{BASE_URL}}/qwen/api/v1/services/aigc/image2video/face-detect'
--header "Authorization: Bearer $DASHSCOPE_API_KEY"
--header 'Content-Type: application/json'
--data-raw '{
"model": "emo-detect-v1",
"input": {
"image_url": "https://help-static-aliyun-doc.aliyuncs.com/file-manage-files/zh-CN/20250911/yhdvfg/emo-%E5%9B%BE%E7%89%87.png"
},
"parameters": {
"ratio": "1:1"
}
}'Through the returned value
{
"output":{
"check_pass": true,
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
},
"usage":{
"image_count":1
},
"request_id":"c56f62df-724e-9c19-96bd-308627cf5262"
}Available Models
| Model Name | Notes | Unit Price |
|---|---|---|
| emo-detect-v1 | Provider note | 0.004Provider note |
| emo-v1 | Provider note | - Provider note |